Subject: bug#32550: 26.1; minibuffer-electric-default-mode breaks greying out find-file prefix

From: Michael Albinus <[email-masked]>
Date: Tue, 04 Sep 2018 12:02:19 +0200

Michael Albinus <[email-masked]> writes:

Hi Allen,

> Maybe it is a Tramp problem. If I do the following, I can reproduce it:
>
> # emacs -Q -l tramp
>
> OTOH, the following Emacs invocation doesn't show the problem:
>
> # emacs -Q -l tramp --eval '(setq tramp-mode nil)'
>
> All tests performed with Emacs 27.0.50, but this shouldn't matter. Will
> dig further.

Finally, I could trap it. Tramp's rfn-shadow hook ceased to work after
Tramp has been changed to lexical binding.

Fixed in the emacs-26 branch. Could you, pls, check?

Best regards, Michael.